<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:my="http://schemas.microsoft.com/office/infopath/2003/myXSD/2003-12-10T19-37-13" xmlns:xd="http://schemas.microsoft.com/office/infopath/2003" version="1.0">
	<xsl:output encoding="UTF-8" method="xml"/>
	<xsl:template match="text() | *[namespace-uri()='http://www.w3.org/1999/xhtml'] | @*" mode="RichText">
		<xsl:copy>
			<xsl:apply-templates select="text() | *[namespace-uri()='http://www.w3.org/1999/xhtml'] | @*" mode="RichText"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="/">
		<xsl:copy-of select="processing-instruction() | comment()"/>
		<xsl:choose>
			<xsl:when test="rss">
				<xsl:apply-templates select="rss" mode="_0"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="var">
					<xsl:element name="rss"/>
				</xsl:variable>
				<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="category" mode="_2">
		<xsl:copy>
			<xsl:copy-of select="./text()[1]"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="image" mode="_3">
		<xsl:copy>
			<xsl:element name="url">
				<xsl:choose>
					<xsl:when test="url">
						<xsl:copy-of select="url/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>http://www.oakleaf.ws/oakleafsmall.gif</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="title">
				<xsl:choose>
					<xsl:when test="title">
						<xsl:copy-of select="title/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>OakLeaf Systems XML Web Services Demonstration Site</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="link">
				<xsl:choose>
					<xsl:when test="link">
						<xsl:copy-of select="link/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>http://www.oakleaf.ws/</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="width">
				<xsl:choose>
					<xsl:when test="width/text()[1]">
						<xsl:copy-of select="width/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>72</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="height">
				<xsl:choose>
					<xsl:when test="height/text()[1]">
						<xsl:copy-of select="height/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>82</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="guid" mode="_5">
		<xsl:copy>
			<xsl:attribute name="isPermaLink">
				<xsl:choose>
					<xsl:when test="@isPermaLink">
						<xsl:value-of select="@isPermaLink"/>
					</xsl:when>
					<xsl:otherwise>true</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:copy-of select="./text()[1]"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="category" mode="_6">
		<xsl:copy>
			<xsl:copy-of select="./text()[1]"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="item" mode="_4">
		<xsl:copy>
			<xsl:element name="title">
				<xsl:copy-of select="title/text()[1]"/>
			</xsl:element>
			<xsl:element name="pubDate">
				<xsl:copy-of select="pubDate/text()[1]"/>
			</xsl:element>
			<xsl:element name="description">
				<xsl:copy-of select="description/text()[1]"/>
			</xsl:element>
			<xsl:element name="link">
				<xsl:choose>
					<xsl:when test="link">
						<xsl:copy-of select="link/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>http://www.oakleaf.ws/</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:choose>
				<xsl:when test="guid">
					<xsl:apply-templates select="guid[1]" mode="_5"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="guid">http://www.oakleaf.ws/</xsl:element>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_5"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:element name="body">
				<xsl:apply-templates select="body/text() | body/*[namespace-uri()='http://www.w3.org/1999/xhtml'] | body/@*" mode="RichText"/>
			</xsl:element>
			<xsl:choose>
				<xsl:when test="category">
					<xsl:apply-templates select="category" mode="_6"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="category">ASP.NET Web Services</xsl:element>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_6"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="channel" mode="_1">
		<xsl:copy>
			<xsl:element name="title">
				<xsl:choose>
					<xsl:when test="title">
						<xsl:copy-of select="title/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>OakLeaf Systems XML Web Services Demonstration Site</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="link">
				<xsl:choose>
					<xsl:when test="link">
						<xsl:copy-of select="link/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>http://www.oakleaf.ws/</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="description">
				<xsl:choose>
					<xsl:when test="description">
						<xsl:copy-of select="description/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>Live ASP.NET Web forms that demonstrate data-centric XML Web services with links to related articles from Fawcette Technical Publications' online newsletters and print publications</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="language">
				<xsl:choose>
					<xsl:when test="language">
						<xsl:copy-of select="language/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>en-us</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="ttl">
				<xsl:choose>
					<xsl:when test="ttl">
						<xsl:copy-of select="ttl/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>2880</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="copyright">
				<xsl:choose>
					<xsl:when test="copyright">
						<xsl:copy-of select="copyright/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>Copyright (c) 2003, 2004 OakLeaf Systems</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="managingEditor">
				<xsl:choose>
					<xsl:when test="managingEditor">
						<xsl:copy-of select="managingEditor/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>Roger_Jennings@compuserve.com</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="docs">
				<xsl:choose>
					<xsl:when test="docs">
						<xsl:copy-of select="docs/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>http://blogs.law.harvard.edu/tech/rss</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="generator">
				<xsl:choose>
					<xsl:when test="generator">
						<xsl:copy-of select="generator/text()[1]"/>
					</xsl:when>
					<xsl:otherwise>Microsoft Office InfoPath 2003</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:choose>
				<xsl:when test="category">
					<xsl:apply-templates select="category" mode="_2"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="category">ASP.NET XML Web Services</xsl:element>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_2"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="image">
					<xsl:apply-templates select="image[1]" mode="_3"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="image"/>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_3"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="item">
					<xsl:apply-templates select="item" mode="_4"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="item"/>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_4"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="rss" mode="_0">
		<xsl:copy>
			<xsl:attribute name="version">
				<xsl:choose>
					<xsl:when test="@version">
						<xsl:value-of select="@version"/>
					</xsl:when>
					<xsl:otherwise>2.0</xsl:otherwise>
				</xsl:choose>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="channel">
					<xsl:apply-templates select="channel[1]" mode="_1"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="var">
						<xsl:element name="channel"/>
					</xsl:variable>
					<xsl:apply-templates select="msxsl:node-set($var)/*" mode="_1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>